diff --git a/src/test/regress/expected/select_parallel.out b/src/test/regress/expected/select_parallel.out
index ff00d47..de0d0b4 100644
--- a/src/test/regress/expected/select_parallel.out
+++ b/src/test/regress/expected/select_parallel.out
@@ -486,6 +486,28 @@ explain (analyze, timing off, summary off, costs off)
                      Rows Removed by Filter: 40
 (11 rows)
 
+explain (analyze, timing off, summary off, costs off)
+  select * from
+  (select ten from tenk1 where ten < 100 order by ten) ss
+  right join (values (1),(2),(3)) v(x) on true;
+                                QUERY PLAN                                
+--------------------------------------------------------------------------
+ Nested Loop Left Join (actual rows=30000 loops=1)
+   ->  Values Scan on "*VALUES*" (actual rows=3 loops=1)
+   ->  Gather Merge (actual rows=10000 loops=3)
+         Workers Planned: 4
+         Workers Launched: 4
+         ->  Sort (actual rows=2000 loops=15)
+               Sort Key: tenk1.ten
+               Sort Method: external sort  Disk: 200kB
+               Worker 0:  Sort Method: quicksort  Memory: 25kB
+               Worker 1:  Sort Method: quicksort  Memory: 25kB
+               Worker 2:  Sort Method: quicksort  Memory: 25kB
+               Worker 3:  Sort Method: quicksort  Memory: 25kB
+               ->  Parallel Seq Scan on tenk1 (actual rows=2000 loops=15)
+                     Filter: (ten < 100)
+(14 rows)
+
 alter table tenk2 reset (parallel_workers);
 reset enable_indexscan;
 reset enable_hashjoin;
diff --git a/src/test/regress/sql/select_parallel.sql b/src/test/regress/sql/select_parallel.sql
index 1035d04..f066dd5 100644
--- a/src/test/regress/sql/select_parallel.sql
+++ b/src/test/regress/sql/select_parallel.sql
@@ -185,6 +185,10 @@ alter table tenk2 set (parallel_workers = 0);
 explain (analyze, timing off, summary off, costs off)
 	select count(*) from tenk1, tenk2 where tenk1.hundred > 1
         and tenk2.thousand=0;
+explain (analyze, timing off, summary off, costs off)
+  select * from
+  (select ten from tenk1 where ten < 100 order by ten) ss
+  right join (values (1),(2),(3)) v(x) on true;
 alter table tenk2 reset (parallel_workers);
 
 reset enable_indexscan;
